<script>
	function getFileName(elm) {
		var fn = $(elm).val();
		var filename = fn.match(/[^\\/]*$/)[0];
		if(filename.split(".")[1]==="csv"){
			$("#uploadCSV").trigger("click");
		}else{
			toastr.options = {
				"closeButton": true,
				"progressBar": true,
				"positionClass": "toast-top-right"
			}
			toastr.error('Formato de archivo invalido, ingrese uno con la extension CSV');
		}
	}

	function getFileNameTraslado(elm) {
		var fn = $(elm).val();
		var filename = fn.match(/[^\\/]*$/)[0];
		if(filename.split(".")[1]==="csv"){
			$("#uploadCSVTraslado").trigger("click");
		}else{
			toastr.options = {
				"closeButton": true,
				"progressBar": true,
				"positionClass": "toast-top-right"
			}
			toastr.error('Formato de archivo invalido, ingrese uno con la extension CSV');
		}
	}
</script>
<div class="row">
	<div class="col-md-12">
		<div class="ibox">
			<div class="ibox-content">
				<div class="row">
					<div class="col-md-7">
						<button id="nueva-entrada-producto-btn" type="button" class="btn btn-primary"><i class="fa fa-plus" style=""></i> Registrar nueva entrada</button>
						<!--<button id="nueva-entrada-csv-btn" type="button" class="btn btn-danger"><i class="fa fa-file-excel-o" style=""></i> Registrar nueva entrada desde CSV</button>
						<button id="nueva-entrada-download-btn" type="button" class="btn btn-info hidden"><i class="fa fa-cloud-download" style=""></i> Registrar nueva entrada desde Internet</button>
						<button id="nueva-entrada-csv-traslado-btn" type="button" class="btn btn-success"><i class="fa fa-arrows-h" style=""></i> Registrar nuevo traslado desde CSV</button>-->
					</div>
					<div class="col-md-5 ">
						<label class="col-sm-4 control-label p-v-xs" style="text-align:right;"><strong>Ver entradas</strong></label>
						<div class="col-sm-8">
							<div class="input-group-btn">
								<button type="button" id="entradas-mode-btn" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Entradas por transacciones<span class="caret"></span></button>
								<ul id="entradas-mode" class="dropdown-menu" role="menu">
									<li><a href="<?php echo base_url("productos/entradas_agrupadas")?>">Entradas por transacciones</a></li>
									<li class="divider"></li>
									<li><a href="<?php echo base_url("productos/entradas_individuales")?>">Entradas por productos</a></li>
								</ul>
							</div>
						 </div>
					</div>
				</div>
				<div class="hr-line-dashed"></div>
				<div class="row m-t-md">
					<div id="entradas-table-wrapper">
						
					</div>
					<div id="" class="hidden">
						<form enctype="multipart/form-data" action="<?php echo base_url();?>productos/cargar_csv" method="post" id="add-courses"> 
							<table> 
								<tr> 
									<td class="width"><label for="image">Upload CSV file : </label></td> 
									<td><input type="hidden" name="MAX_FILE_SIZE" value="10000000" /><input type="file" onchange="getFileName(this);" name="csvfile" id="csvfile" value=""/></td> 
									<td><input type="button" name="uploadCSV" id="uploadCSV" value="Upload" /></td> 
								</tr> 
							</table> 
						</form>
					</div>
					<div id="" class="hidden">
						<form enctype="multipart/form-data" action="<?php echo base_url();?>productos/cargar_csv_traslado" method="post" id="add-courses-traslado"> 
							<table> 
								<tr> 
									<td class="width"><label for="image">Upload CSV file : </label></td> 
									<td><input type="hidden" name="MAX_FILE_SIZE" value="10000000" /><input type="file" onchange="getFileNameTraslado(this);" name="csvfiletraslado" id="csvfiletraslado" value=""/></td> 
									<td><input type="button" name="uploadCSVTraslado" id="uploadCSVTraslado" value="UploadTraslado" /></td> 
								</tr> 
							</table> 
						</form>
					</div>
				</div>
			</div>
		</div>
	 </div>
</div>

<script>
$( document ).ready(function(){
	$("#nueva-entrada-download-btn").click(function(e){
		$.post("<?php echo base_url();?>productos/cargar_csv_internet")
		.done(function(data){                
			toastr.options = {
				"closeButton": true,
				"progressBar": true,
				"positionClass": "toast-top-right"
			}
			toastr.success('Archivo leido exitosamente');
			$("#entradas-table-wrapper").html(data);
		});
	});
	$("#nueva-entrada-csv-btn").click(function(e){
		$("#csvfile").trigger("click");
	});
	$("#nueva-entrada-csv-traslado-btn").click(function(e){
		$("#csvfiletraslado").trigger("click");
	});
	/*BOTON Guardar (CLICK)*/
	$("#uploadCSV").click(function(e){
		e.preventDefault();
		
		$frm=$("#add-courses");
		var formData = new FormData($frm[0]);

		$.ajax({
			url: $frm.attr("action"),
			type: 'POST',
			data: formData,
			async: false,
			success: function (data) {
				toastr.options = {
					"closeButton": true,
					"progressBar": true,
					"positionClass": "toast-top-right"
				}
				toastr.success('Archivo leido exitosamente');
				$("#entradas-table-wrapper").html(data);
			},
			cache: false,
			contentType: false,
			processData: false
		});
	});

	$("#uploadCSVTraslado").click(function(e){
		e.preventDefault();
		
		$frm=$("#add-courses-traslado");
		var formData = new FormData($frm[0]);

		$.ajax({
			url: $frm.attr("action"),
			type: 'POST',
			data: formData,
			async: false,
			success: function (data) {
				toastr.options = {
					"closeButton": true,
					"progressBar": true,
					"positionClass": "toast-top-right"
				}
				toastr.success('Archivo leido exitosamente');
				$("#entradas-table-wrapper").html(data);
			},
			cache: false,
			contentType: false,
			processData: false
		});
	});

	$("#nueva-entrada-producto-btn").click(function(e){
		e.preventDefault();
		Custombox.open({
			target:'<?php echo base_url("productos/entradas_nueva")?>', 
			effect: 'fadein',
			complete:function(){
				$(".modal-body input:text").first().focus();
			}
		});
	});
	$("#entradas-mode").on("click","li a",function(e){
		e.preventDefault();
		var item=$(this);
		$("#entradas-mode-btn").text(item.text());
		$.get(item.attr("href"),function(res){$("#entradas-table-wrapper").html(res)},"html");
	});
	$("#entradas-mode li:first a").click();
	entradas.setUrl('<?php echo base_url();?>');
});
</script>